Subject: Re: UDP multi-core performance on a single socket and SO_REUSEPORT

From: Mark Zealey <[email-masked]>
Date: Fri, 04 Jan 2013 21:46:45 +0000

On 04/01/13 20:47, Tom Herbert wrote:
> I believe the hard part of making SO_REUSEPORT was on the TCP side in
> dealing with state in req structs which we have not resolved.  UDP
> SO_REUSEPORT seems to be working pretty well.

Does anyone have a SO_REUSEPORT UDP patch for a modern networking stack? 
There have been a number of changes and new functions added since the 
2010 patch that I found so I couldn't get it to work properly on 3.7.1.

Thanks,

Mark